aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-06-16 13:58:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-06-16 14:13:07 +0000
commit695226611fe20fe55f6ab29039ad66819080ce2c (patch)
treee20e7c320a0aa03c0bbd178ae254d20c76133436
parentb366b2d31cd7f9c6704e5d41ae953053cad9adaf (diff)
downloadaports-1.10.6.tar.gz
aports-1.10.6.tar.bz2
aports-1.10.6.tar.xz
main/dahdi-linux-grsec: fail if modules not properly installedv1.10.6
(cherry picked from commit 71c878f0ccd55234f5bc0fc07508aedc112fa1bb)
-rw-r--r--main/dahdi-linux-grsec/APKBUILD4
1 files changed, 2 insertions, 2 deletions
diff --git a/main/dahdi-linux-grsec/APKBUILD b/main/dahdi-linux-grsec/APKBUILD
index bc685c79ba..247826c313 100644
--- a/main/dahdi-linux-grsec/APKBUILD
+++ b/main/dahdi-linux-grsec/APKBUILD
@@ -16,7 +16,7 @@ _realname=dahdi-linux
pkgname=${_realname}-${_flavor}
pkgver=$pkgver
_dahdiver=2.2.0.2
-_mypkgrel=1
+_mypkgrel=2
pkgrel=$(( $_kpkgrel + $_mypkgrel ))
pkgdesc="Digium Asterisk Hardware Device Interface drivers $_dahdiver"
url="http://www.asterisk.org"
@@ -54,7 +54,7 @@ build() {
package() {
cd "$srcdir/$_realname-$_dahdiver"
make KVERS="${_abi_release}" DYNFS="yes" MODULES_EXTRA="zaphfc" \
- DESTDIR="$pkgdir" install-modules
+ DESTDIR="$pkgdir" install-modules || return 1
rm -rf "$pkgdir"/lib/firmware "$pkgdir"/usr/lib/hotplug/firmware \
"$pkgdir"/usr/include
}